digiKam Developer Documentation: Digikam::DPluginConfView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::DPluginConfView Class Referenceabstract
Inheritance diagram for Digikam::DPluginConfView:

## Public Types
enum | Columns { Name = 0 , Categories = 1 , Tools = 2 , Description = 3 , NumberOfColumns }

## Signals
void | signalSearchResult (int)
| Signal emitted when filtering is done through slotSetFilter().

## Public Member Functions
| DPluginConfView (QWidget *const parent=nullptr)
| Default constructor.
int | activated () const
| Return the number of plugins active in the list.
void | apply ()
| Apply all changes about plugins selected to be hosted in host application.
void | clearAll ()
| Clear all selected plugins in the list.
int | count () const
| Return the total number of plugins in the list.
QString | filter () const
| Return the current string used to filter the plugins list.
int | itemsVisible () const
| Return the number of visible plugins in the list.
int | itemsWithVisiblyProperty () const
| Return the number of plugins in the list with visibly properties available.
DPlugin * | plugin (QTreeWidgetItem *const item) const
void | selectAll () override
| Select all plugins in the list.
void | setFilter (const QString &filter, Qt::CaseSensitivity cs)
| Set the string used to filter the plugins list.

## Protected Member Functions
QTreeWidgetItem * | appendPlugin (DPlugin *const)
virtual void | loadPlugins ()=0

## Member Function Documentation

## ◆ setFilter()

void Digikam::DPluginConfView::setFilter | ( | const QString & | filter,
|  | Qt::CaseSensitivity | cs
| ) |  |

signalSearchResult() is emitted when all is done.

## ◆ signalSearchResult

void Digikam::DPluginConfView::signalSearchResult | ( | int |  | ) |
| signal

Number of plugins found is sent when item relevant of filtering match the query.